/* global registerBackward, LessController */
registerBackward('1.4.10', 'Theme', function (theme) {
    'use strict';

    var style = "";
    if (theme.additionalCss){
        var error =  LessController.checkValidLessParse(theme.additionalCss);
        if (!error){
            style = theme.additionalCss;
        }
    }
    theme.prototypes.AdditionalCss = {constructorName: 'AdditionalCss', style: style};
    delete theme.additionalCss;

    return theme;
});